<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/contant_main"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/app_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:elevation="0dp"
        app:elevation="0dp"
        app:layout_constraintTop_toTopOf="parent">


        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            android:background="?attr/colorPrimary"
            android:contentInsetStart="0dp"
            android:contentInsetLeft="0dp"
            android:elevation="0dp"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:layout_scrollFlags="scroll|enterAlways"
            app:titleTextColor="#FFFFFF">


            <com.google.android.material.floatingactionbutton.FloatingActionButton
                android:id="@+id/button_on_back_pressed"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:backgroundTint="@color/colorBackground"
                app:borderWidth="0dp"
                app:elevation="0dp"
                app:fabSize="normal"
                app:maxImageSize="@dimen/size_icon_in_toolbar"
                app:rippleColor="@color/colorAccent"
                app:srcCompat="@drawable/ic_round_arrow_back"
                app:tint="@color/colorAccent" />

            <androidx.appcompat.widget.SearchView
                android:id="@+id/search_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/size_search_height"
                android:background="@drawable/search_drawable"
                android:paddingStart="-10dp"
                android:paddingLeft="-10dp"
                android:layout_marginEnd="@dimen/standard_margin"
                android:textColor="@color/colorTextLight"
                android:textSize="@dimen/text_size_large"
                app:closeIcon="@drawable/ic_close"
                app:iconifiedByDefault="false"
                app:layout_constraintTop_toTopOf="parent"
                app:queryBackground="@color/colorSearchBackground"
                app:queryHint="@string/search"
                app:searchIcon="@drawable/ic_search_grey"
                app:searchHintIcon="@color/colorTextLight">

                <requestFocus />
            </androidx.appcompat.widget.SearchView>


        </com.google.android.material.appbar.MaterialToolbar>

    </com.google.android.material.appbar.AppBarLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler_view"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:clipToPadding="false"
        android:paddingBottom="@dimen/size_bottom_bar"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/app_bar" />

</androidx.constraintlayout.widget.ConstraintLayout>